# StageSceneModel (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.data
Class StageSceneModel

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.whirled.data.SceneModel
              com.threerings.stage.data.StageSceneModel

All Implemented Interfaces:
  com.threerings.io.Streamable, Cloneable

    public class StageSceneModel

extends SceneModel

Extends the basic scene model with the notion of a scene type and incorporates the necessary auxiliary models used by the Stage system.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`com.threerings.util.StreamableHashMap<Integer,Integer>` `defaultColors` If non-null, contains default colorizations to use for objects that do not have colorizations defined.
`String` `type` This scene's type which is a string identifier used to later construct a specific controller to handle this scene.
`static String` `WORLD` A scene type code.
`int` `zoneId` The zone id to which this scene belongs.

Fields inherited from class com.threerings.whirled.data.SceneModel
`auxModels, name, sceneId, version`

Constructor Summary
`StageSceneModel()`

Method Summary
`static StageSceneModel` `blankStageSceneModel()` Creates and returns a blank scene model.
`int` `getDefaultColor(int classId)` Get the default color to use for the specified colorization classId, or -1 if no default is set for that colorization.
`void` `setDefaultColor(int classId, int colorId)` Set the default colorId to use for a specified colorization classId, or -1 to clear the default for that colorization.

Methods inherited from class com.threerings.whirled.data.SceneModel
`addAuxModel, blankSceneModel, clone`

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WORLD

    public static final String WORLD

  A scene type code.

  See Also:
    Constant Field Values

### type

    public String type

  This scene's type which is a string identifier used to later construct a specific controller to handle this scene.

### zoneId

    public int zoneId

  The zone id to which this scene belongs.

### defaultColors

    public com.threerings.util.StreamableHashMap<Integer,Integer> defaultColors

  If non-null, contains default colorizations to use for objects that do not have colorizations defined.

Constructor Detail

### StageSceneModel

    public StageSceneModel()

Method Detail

### getDefaultColor

    public int getDefaultColor(int classId)

  Get the default color to use for the specified colorization classId, or -1 if no default is set for that colorization.

### setDefaultColor

    public void setDefaultColor(int classId,
                                int colorId)

  Set the default colorId to use for a specified colorization classId, or -1 to clear the default for that colorization.

### blankStageSceneModel

    public static StageSceneModel blankStageSceneModel()

  Creates and returns a blank scene model.

Copyright © 2011. All Rights Reserved.